=== debian/changelog ===
libflorist (2011-1) unstable; urgency=low

  * New upstream version.
  * Package renamings due to Debian Ada Policy:
    libflorist2009-dev -> libflorist2011-dev
    libflorist2009     -> libflorist2011
  * debian/source/format: new, 3.0 (quilt).
  * debian/source/options, debian/source/local-options: new.
  * debian/control (Build-Depends): Migrate to gnat-4.6 (Closes: #642641).
    Remove quilt.
    (Architecture): any.
    (Conflicts, Replaces): remove, unnecessary.
    (Standards-Version): 3.9.2 with no changes required.
  * Comply with the multilib specification.
  * debian/compat: move to 8.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 13 Oct 2011 22:22:06 +0200

libflorist (2009-3) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568440.
    (*-dbg): suggest gnat, ada-compiler for visibility.
    (*-dev): also depend on ada-compiler.
    (Standards-Version): update to 3.8.4 with no changes required.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  8 Jun 2010 20:27:58 +0200

libflorist (2009-2) unstable; urgency=low

  * debian/rules (clean): call make distclean only if Makefile exists.
    Closes: #560746.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 12 Dec 2009 10:18:26 +0100

libflorist (2009-1) unstable; urgency=low

  * New upstream version form GNAT GPL 2009 Edition.
  * debian/control (Build-Depends): switch to gnat-4.4.
    (Architectures): remove alpha due to http://gcc.gnu.org/PR42073;
    add kfreebsd-amd64.  Closes: #542418.
    (Depends): add ${misc:Depends} everywhere.
    (Standards-Version): bump to 3.8.3 with no changes required.
  * Package renamings per Debian Policy for Ada:
    libflorist-dev -> libflorist2009-dev (with Conflicts: and Replaces:)
    libflorist2008 -> libflorist2009
  * debian/control (libflorist2009-dbg): move to section debug.
  * debian/compat: bump from 5 to 7.
  * debian/rules: extract aliversion and soversion from debian/control.
    Link the shared library against libpthread. Closes: #558886.
  * debian/patches/compiler_options.patch: remove -fstack-check, it
    produces binary code that easily segfaults in gnat-4.4 on x86.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  5 Dec 2009 14:20:21 +0100
  

libflorist (2008-2) unstable; urgency=low
  
  * debian/florist.gpr (Library_Name): correct the soname.
    (Externally_Built): new.
  * debian/rules (build-stamp): link libflorist.so.* against libgnarl
    and librt (which comes from libc6-dev).
  * Addresses https://bugs.launchpad.net/bugs/316595.  Thanks to David
    Sauvage for reporting.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 15 Jan 2009 09:02:47 +0100
  

libflorist (2008-1) unstable; urgency=low
  
  * New upstream version.
  * Restore support for GNU/kFreeBSD and, possibly, GNU/HURD as well.
    Thanks to Cyril Brulebois for the patch.  Closes: #415084.
    - debian/control (Build-Depends): add quilt.
    - debian/patches/series, debian/patches/kfreebsd.patch: new.
    - debian/rules: use quilt to apply and revert the above patches.
  * debian/control:
    (Standards-Version): update to 3.8.0.
    (Build-Depends): Migrate to gnat-4.3.
    (Architecture): add mips, mipsel and ppc64.  Closes: #479075
    (libflorist2006): rename to libflorist2008 and bump the soname.
    (libflorist-dbg): new.
  * debian/florist.gpr: turn into a library project file.
  * debian/rules: provide all files, not just Ada files, in the -dev
    package, so users can use gdb into the library in case of need.
    Use all processors available when building.
  * debian/patches/compiler_options.patch: compile with all optional
    run-time checks enabled, and debugging options.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jul 2008 18:03:14 +0200
  

libflorist (2006-1) unstable; urgency=low
  
  * debian/control (Maintainer): update email address, I'm now a full DD.
    (Build-Depends): update to gnat (>= 4.1).
    (Standards-Version): update to 3.7.2 with no changes required.
    (Architecture): add alpha, amd64, hppa, ia64, kfreebsd-i386 and s390.
    (libflorist-3.15p-1-dev): rename to libflorist-dev, with Conflict and
    Replace.  Depend on gnat-4.1.
    (libflorist-3.15p-1): rename to libflorist2006.
  * debian/control: soname bump to libflorist.so.2006.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 21 Sep 2006 18:49:32 +0200
  

libflorist-3.15p-1 (3.15p-5) unstable; urgency=low
  
  * debian/control: Change maintainer's email address.  Bump
    standards-version to 3.6.2 (from 3.6.1.1) with no changes.
  * debian/rules (regexp): accept any character as the Debian upload
    number.  Closes: #359891.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Sat,  1 Apr 2006 12:36:36 +0200

libflorist-3.15p-1 (3.15p-4) unstable; urgency=low
  
  * Added a GNAT project file.  Closes: #266694.
  * Recompiled because s-osinte.ads has been modified in gnat.
    Closes: #266700.
  * debian/rules: accept dots in Debian revision numbers in case of NMU.
  * debian/libflorist-3.15p-1-dev.postinst: Remove.  Do not chmod the
    *.ali files anymore.  Newer versions of dh_fixperms does that for us.
  * debian/control: Build-Depend on debhelper (>= 4.2.13).
  * debian/control: Update Standards-Version to 3.6.1.1.
  * debian/copyright: Mention /usr/share/common-licenses/GPL.
    Closes: #266697.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Wed, 18 Aug 2004 20:03:40 +0200

libflorist-3.15p-1 (3.15p-3) unstable; urgency=low

  * Work around a compilation problem caused by libc6-dev 2.3.2.ds1-10 in
  Sid (no problem in Sarge with libc6-dev 2.3.2-9).

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 11 Nov 2003 18:04:34 +0100

libflorist-3.15p-1 (3.15p-2) unstable; urgency=low

  * Rebuild the static library without -fPIC, and the shared library with
  it.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 19 Aug 2003 13:45:07 +0200

libflorist-3.15p-1 (3.15p-1) unstable; urgency=low

  * Initial Release.
	

