=== debian/control ===
Source: libflorist
Section: libs
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Build-Depends: debhelper (>> 8), gnat, gnat-4.6
Standards-Version: 3.9.2

Package: libflorist2011-dev
Section: libdevel
Architecture: any
Depends: libflorist2011 (= ${binary:Version}), gnat, gnat-4.6, ada-compiler, ${misc:Depends}
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2011
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.

Package: libflorist-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libflorist2011 (=${binary:Version}), ${misc:Depends}
Recommends: libflorist2011-dev (=${binary:Version})
Suggests: gnat, ada-compiler
Description: POSIX.5 Ada interface to operating system services
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the debugging symbols for the run-time shared library.
