## libflorist 2013

=== debian/changelog ===
libflorist (2013-1) unstable; urgency=medium

  * New upstream release, compiled with gnat-4.9.
    Library and -dev package renamed per Ada policy.
  * Recreate ./configure before building.
  * Switch to dh-ada-library (>= 6.1). Build shared lib with same project.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 02 May 2014 15:51:37 +0200

libflorist (2011-2) unstable; urgency=medium

  * Add myself to uploaders.
  * control: remove obsolete Depends: ada-compiler. Closes: #743785.
  * Pass hardening flags to build system.
  * Actually embed the sources.
  * Switch to debhelper 9.
  * florist.gpr: generated to make the lib package multiarch: same.
  * copyright: machine readable format 1.0.
  * README.Debian: reference Ada policy.
  * patches: documented, refreshed.
  * control: VCS-*, Homepage, Standards-Version 3.9.5.
  * source/options: compress Debian diff with dpkg-dev default (xz).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Apr 2014 01:46:01 +0200
