=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.9,
 dh-ada-library (>= 6.1),
 autoconf
# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
# gnat >= 4.6.4-2 provides /usr/share/ada/debian_packaging.mk.
# dh-ada-library >= 6.1 understands Excluded_Source_Files.
Standards-Version: 3.9.5
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
Vcs-Mtn: www.ada-france.org org.debian.libflorist
Homepage: http://libre.adacore.com
XS-Testsuite: autopkgtest

Package: libflorist2013-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2013
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.

Package: libflorist-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: POSIX.5 Ada interface to operating system services: debug symbols
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the debugging symbols for the run-time shared library.
