## libflorist 2014

=== debian/changelog ===
libflorist (2014-2) unstable; urgency=medium

  * Touch generated sources for deterministic ALI files and tar headers.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 17:59:46 +0200

libflorist (2014-1) unstable; urgency=medium

  * New upstream release. Per Ada policy, library and -dev packages are
    renamed, -dev Breaks and Replaces previous -dev built with same compiler.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 11:22:55 +0200
