=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
 # dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
 # gnat >= 4.6.4-2 provides /usr/share/ada/debian_packaging.mk.
 # dh-ada-library >= 6.1 understands Excluded_Source_Files.
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
 Vcs-Mtn: www.ada-france.org org.debian.libflorist
 Homepage: http://libre.adacore.com
 XS-Testsuite: autopkgtest
 
-Package: libflorist2013-dev
+Package: libflorist2014-dev
+Breaks: libflorist2013-dev
+Replaces: libflorist2013-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: POSIX.5 Ada interface to operating system services: development
@@ -28,7 +30,7 @@
  This package contains the development files and unstripped static
  library.
 
-Package: libflorist2013
+Package: libflorist2014
 Section: libs
 Architecture: any
 Multi-Arch: same
