## libflorist 2016

=== debian/changelog ===
libflorist (2016-1) unstable; urgency=medium

  * New upstream release built with gnat-6. Per Ada policy,
    rename lib and -dev packages and drop obsolete Conflict/Replace.
  * Licence change from GPL-2+ to GPL-3+.
  * As gnatmake drops support for projects, gprbuild is required.
    Divergence from upstream build system can be reduced.
  * Switch from manual -dbg packages to automatic -dbgsym.
  * watch file using Adacore redirector.
  * Enable all hardening flags but PIE.
  * Standards-Version: 3.9.8 (no changes).
  * Drop XS-Testsuite: autopkgtest, now set automatically.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Jul 2016 16:30:49 +0200
