=== debian/control ===
Source: libflorist
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
# dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
 gnat, gnat-6,
 dh-ada-library (>= 6.7),
# 6.7 knows that -dbg packages are optional.
 gprbuild (>= 2015-2),
# 2015-2 handles gnat-6
 autoconf
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
Vcs-Mtn: www.ada-france.org org.debian.libflorist
Homepage: http://libre.adacore.com

Package: libflorist2016-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: POSIX.5 Ada interface to operating system services: development
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the development files and unstripped static
 library.

Package: libflorist2016
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: POSIX.5 Ada interface to operating system services: shared library
 FLORIST is an implementation of the IEEE Standards 1003.5: 1992, IEEE
 STD 1003.5b: 1996, and parts of IEEE STD 1003.5c: 1998, also known as
 the POSIX Ada Bindings.  Using this library, you can call operating
 system services from within Ada programs.
 .
 This package contains the run-time shared library.
