=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging*.mk

DEB_DATE := $(shell dpkg-parsechangelog -S date)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ADAFLAGS += -gnatVa -gnatafno -gnatwa
CFLAGS += -w

soversion := $(shell sed -n \
  '/^Package: libflorist\([[:digit:]]\+\)$$/{s//\1/;p;q}' debian/control)
ifndef soversion
  $(warning Could not guess soversion from debian/control)
  # Not error. Policy defines targets that may be run from outside build dir.
endif

POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

.PHONY: $(addprefix override_dh_auto_, configure build test install clean)

override_dh_auto_configure: configure.backup
	dh_auto_configure -- $(foreach v, \
	  ADAFLAGS CC CFLAGS CPPFLAGS LDFLAGS \
	  ,"$(v)=$($(v))")

configure.backup:
	mv configure configure.backup
	autoconf
override_dh_auto_clean::
	if test -f configure.backup; then mv configure.backup configure; fi

GPR_CONFIG := default.cgpr
override_dh_auto_build: $(GPR_CONFIG)
$(GPR_CONFIG):
	gprconfig --batch --config=Ada --config=C,,,,gnatgcc
override_dh_auto_clean::
	rm -f $(GPR_CONFIG)

override_dh_auto_build:
	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=static \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"

	# Touch generated sources for deterministic ALI files.
	# Touch all recent files so that Make does not regenerate everything.
	find . -depth -newermt '$(DEB_DATE)' -print0 | \
	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'

	$(MAKE) LIBRARY_TYPE_OPTION=-XLIBRARY_TYPE=relocatable \
	  "GPRBUILD_FLAGS=$(BUILDER_OPTIONS) -XSOVERSION=$(soversion)"
override_dh_auto_clean::
	dh_auto_clean

.PHONY: override_dh_ada_library
override_dh_ada_library:
	dh_ada_library LIBRARY_TYPE=relocatable \
	  SOVERSION=$(soversion) florist.gpr
