=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=// \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/florist \
  .*florist-gpl-(\d{4})-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
