## libflorist 2017

=== debian/changelog ===
libflorist (2017-3) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 19:00:56 +0200

libflorist (2017-2) experimental; urgency=medium

  * Let gprbuild (>= 2017) ignore Library_Options for static linking.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Jul 2017 18:15:49 +0200

libflorist (2017-1) experimental; urgency=medium

  * Built with gnat-7, which deals with SOURCE_DATE_EPOCH by itself.
    Rename runtime and -dev package per Ada policy.
  * New upstream release, almost unchanged.
  * Debhelper 10, which dealss with autoconf by itself.
    Disable autoheader.
  * Standards-Version 4.0.0.  HTTPS copyright format URL.
  * Enable all hardening flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 12 Jul 2017 13:19:37 +0200
