=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 # dpkg-dev >= 1.16.1 provides /usr/share/dpkg/default.mk.
- gnat, gnat-6,
+ gnat, gnat-7,
+# This line is parsed by debian/rules.
  dh-ada-library (>= 6.7),
 # 6.7 knows that -dbg packages are optional.
- gprbuild (>= 2015-2),
+ gprbuild (>= 2015-2)
 # 2015-2 handles gnat-6
- autoconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libflorist
 Vcs-Mtn: www.ada-france.org org.debian.libflorist
 Homepage: http://libre.adacore.com
 
-Package: libflorist2016-dev
+Package: libflorist2017-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: POSIX.5 Ada interface to operating system services: development
@@ -28,7 +28,7 @@
  This package contains the development files and unstripped static
  library.
 
-Package: libflorist2016
+Package: libflorist2017
 Section: libs
 Architecture: any
 Multi-Arch: same
