=== debian/watch ===
version=4
opts=\
  filenamemangle=s/^.*download=// \
  https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/florist \
  .*florist-gpl@ANY_VERSION@-src@ARCHIVE_EXT@
