=== debian/changelog ===
libflorist (2022.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:59:50 +0200

libflorist (2022.0.0-1) experimental; urgency=medium

  * Build new upstream release with gcc-11 for experimental.
    Rename lib and -dev packages accordingly.
  * Standards-Version: 4.6.0.
  * Add Homepage, Upstream-Contact, upstream metadata, watch file.
  * copyright: update, merge stanzas with the same license.
  * Split patches and forward them.
  * Use unversioned debian_packaging.mk from gnat package.
  * Remove -gnatwa redundant option from debian/rules.
  * compiler_options.patch: sort modified files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Nov 2021 09:32:56 +0000

libflorist (2017-9) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.
  * Prefer gnatgcc (for Ada) to CC (for C).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 13:09:57 +0100

libflorist (2017-8) experimental; urgency=medium

  * Build with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Pass build flags via the environment.
  * Drop --as-needed which is now enabled by default.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 12 Jun 2020 19:32:16 +0000

libflorist (2017-7) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Debhelper 12 dh-sequence syntax.
  * Standards-Version: 4.5.0.
  * Drop obsolete branch in Vcs-Git.
  * Select specific dpkg-dev Makefile snippet.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 11:41:02 +0100

libflorist (2017-6) experimental; urgency=medium

  * Rebuild with gnat-9 in experimental. Rebuild both packages per Ada policy.
  * Make explicit that the package is orphaned upstream.
  * Move the packaging history to salsa.debian.org.
  * Standards-Version 4.4.0. Rules-Requires-Root: no.
  * Debhelper 12.
  * dh-ada-library ignores soversion, use a separate configuration file
  * gprbuild now handles default.cgpr by itself.
  * Let dh_auto_build select options like -j for Make.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 21 Jul 2019 00:44:17 +0200

libflorist (2017-5) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:54 +0200

libflorist (2017-4) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev package per Debian Ada policy.
    Patch handling function renamings.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version: 4.1.4.
  * Update Vcs-Mtn and Homepage.
  * Remove trailing white spaces in this changelog.
  * Let run time tests produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 14:59:04 +0200
